/**
 *
 */
package org.gcube.common.workspacetaskexecutor.shared;

import java.util.Map;


/**
 * The Interface BaseTaskConfiguration.
 *
 * @author Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
 * May 2, 2018
 */
public interface BaseTaskConfiguration {

	/**
	 * Gets the task id.
	 *
	 * @return the task id
	 */
	String getTaskId();

	/**
	 * Gets the workspace item id where execute the Task.
	 *
	 * @return the workspace item id
	 */
	String getWorkspaceItemId();


	/**
	 * Gets the task description.
	 *
	 * @return the task description
	 */
	String getTaskDescription();


	/**
	 * Gets the map parameters.
	 *
	 * @return the map parameters
	 */
	Map<String, String> getMapParameters();



	/**
	 * Gets the access key to retrieve this configuration from gcube properties saved in the workspace.
	 *
	 * @return the access key
	 */
	String getConfigurationKey();


	/**
	 * Sets the access key to save this configuration in the workspace gcube properties.
	 *
	 * @param accessKey the access key
	 */
	void setConfigurationKey(String accessKey);


}
